Bug 363951 - openoffice.org-writer ignores Landscape vs Portrait mode in printer setting
openoffice.org-writer ignores Landscape vs Portrait mode in printer setting
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 10:59 EDT by Aaron Konstam
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 08:37:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Konstam 2007-11-02 10:59:00 EDT
Description of problem:In Openoffice-writer2.3.0 writer you go to File->Printer
Settings-> Proporties and choose Landscape printing it does not work. You still
get Portrait printing. It can be changed using Format->Print but Printer
Settings -> Proporties should also work.


Version-Release number of selected component (if applicable):
openoffice.org-writer-2.3.0-6.4.fc7

How reproducible:
Every time

Steps to Reproduce:
1.Open openoffice.org-writer
2.Go to: File->Printer Settings->Proporties
3.Click on Landscape
4. Click File->Print
  
Actual results:
Document prints in Portrait mode

Expected results:
Document print in Lanscape mode.

Additional info:
Comment 1 Caolan McNamara 2007-11-08 08:37:21 EST
We did a test here to make sure that things are working as expected, and it
looks fine. If you use oomath and print in landscape vs portrait then that
should work as it has no concept of per-page settings. 

But writer in contrast has a concept of a per page orientation, paper size, etc.
so its not at all clear what setting "portrait" vs "landscape" at the printer
level or other global settings would mean in the case of a writer document that
contains e.g. 1st page portrait A4 and 2nd page landscape A3 size etc. Though
there is some utility in advanced edge cases for e.g. two pages per page setting
which is why it is not simply disabled for printing from writer, but in the
normal case page page orientation overrides printer page orientation in writer.
Comment 2 Aaron Konstam 2007-11-08 11:17:48 EST
I wish I cold un derstand you reasoning above. What you would say would make
sense if it was possible to create a documant where on page was landscape and
the next was portrait, etc. I can't figure out how one does that.. How is it done?

Philosophically, page orientation is not a matter for the printer, so options to
set it should not be found amoung printer settings. But they are in OO-write, as
they are in the same place in MS Word. If they are there why don't they do
something as they do in MS Word?

I differ. It is a bug but I can't force anyone to fix it.
Comment 3 Caolan McNamara 2007-11-08 11:33:33 EST
This isn't really a support forum, but nevertheless to get one page landscape
and one page portrait one could e.g. F11 to get styles up, select icon 4 for
pages, right click on default, select new, call it e.g. landscape, select page
and set orientation to landscape. Now in the document use insert->manual
break->page break and use landscape instead of [None] for style. Now you should
have a first page with portrait orientation (using the default page style) and
second page with landscape orientation (using the new landscape page style)

The printer settings only control the defaults for the printer, something like
writer overrides some of them on a page by page basis, while something like math
doesn't override them. I cannot see a way to reconcile the printer dialog
settings with the document ones when something like the above is possible :-(

Note You need to log in before you can comment on or make changes to this bug.